- Qt 6.12
- Qt WebEngine
- C++ Classes
- QtWebEngineCore
- QWebEngineQuotaRequest
- Qt 6.12.0 Reference Documentation

# QWebEngineQuotaRequest Class

Header: | `#include <QWebEngineQuotaRequest>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WebEngineCore)` `target_link_libraries(mytarget PRIVATE Qt6::WebEngineCore)`
qmake: | `QT += webenginecore`
In QML: | webEngineQuotaRequest
Status: | Deprecated since 6.5

This class is deprecated since 6.5. We strongly advise against using it in new code.

- List of all members, including inherited members

## Properties

- origin : const QUrl
- requestedSize : const qint64

## Public Functions

QUrl | origin() const
qint64 | requestedSize() const

## Detailed Description

Requesting host quota is no longer supported by Chromium.

The behavior of navigator.webkitPersistentStorage is identical to navigator.webkitTemporaryStorage.

For further details, see https://crbug.com/1233525

## Property Documentation

### `[read-only]` origin : const QUrl

Access functions:

QUrl | origin() const

### `[read-only]` requestedSize : const qint64

Access functions:

qint64 | requestedSize() const